#!/bin/sh

set -e
[ "$DEBUG" = true ] && set -x

SRC_DIR=$(pwd)/allegro/

BLD=MinGW-Static
GENERATOR='MinGW Makefiles'
BLD_CMD=mingw32-make
BLD_TYPE=Release

[ "$DEBUG" = true ] && { BLD_TYPE=Debug; BLD=$BLD-Debug; }

INS_DIR=${SRC_DIR}/Install-$BLD-${PROCESSOR_ARCHITECTURE}
BLD_DIR=${SRC_DIR}/Build-$BLD-${PROCESSOR_ARCHITECTURE}

CMAKE_FLAGS="-DCMAKE_BUILD_TYPE=${BLD_TYPE} -DSHARED=OFF -DBUILD_SHARED_LIBS=OFF -DWANT_STATIC_RUNTIME=ON -DWANT_DEMO=OFF -DWANT_EXAMPLES=ON -DWANT_POPUP_EXAMPLES=ON -DWANT_TESTS=OFF"

rm -fr ${SRC_DIR}/Deps/
mkdir -p ${SRC_DIR}/Deps/Include ${SRC_DIR}/Deps/Lib

for DEP in dxsdk; do
	cp -a ${DEP}/Include/* ${SRC_DIR}/Deps/Include/
	cp -a ${DEP}/Lib/${PROCESSOR_ARCHITECTURE}/* ${SRC_DIR}/Deps/Lib/
done

mkdir -p ${BLD_DIR}
cd ${BLD_DIR}
cmake -G "$GENERATOR" -DCMAKE_INSTALL_PREFIX="$INS_DIR" $CMAKE_FLAGS ..
${BLD_CMD} && ${BLD_CMD} install
